## gate.corpora
Class DatabaseDocumentImpl.EventsHandler

    java.lang.Object
      |
      +--gate.corpora.DatabaseDocumentImpl.EventsHandler

All Implemented Interfaces:
  EventListener, FeatureMapListener

Enclosing class:
  DatabaseDocumentImpl

class DatabaseDocumentImpl.EventsHandler
extends Object
implements FeatureMapListener

All the events from the features are handled by this inner class.

Constructor Summary
`(package private)` `DatabaseDocumentImpl.EventsHandler()`

Method Summary
`void` `featureMapUpdated()` Called when a feature map has been updated

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### DatabaseDocumentImpl.EventsHandler

    DatabaseDocumentImpl.EventsHandler()

Method Detail

### featureMapUpdated

    public void featureMapUpdated()

  Description copied from interface: `FeatureMapListener`
  Called when a feature map has been updated
  Specified by:
    `featureMapUpdated` in interface `FeatureMapListener`